---
import { changeLanguage } from "i18next";
import { getCollection, CollectionEntry } from "astro:content";
import MainLayout from "../../layouts/MainLayout.astro";
import Slider from "../../components/Slider.astro";
import { formatBlogPosts } from "../../js/utils";

changeLanguage("cs");

const allPosts = await getCollection("blog");
const formattedPosts: CollectionEntry<"blog">[] = formatBlogPosts(allPosts, {
    limit: 6,
});
---

<MainLayout title="My Blog">
  <div class="page">
    <div class="page__split split--left">
      <h1>Astro</h1><a class="page__split__button" href="#">Visit us</a>
    </div>
    <div class="page__split split--right">
      <h1>Astro</h1><a class="page__split__button" href="#">Visit us</a>
    </div>
  </div>

  <section class="container" aria-label="New Blog Posts">
    <div class="wrapper">
      <div class="news-slider">
        <div class="news-slider__wrp swiper-wrapper">
          {
            formattedPosts.map((post) => (
              <>
                <Slider data={post.data} url={post.slug} tagType="h3" />
                
              </>
            ))
          }
        </div>

        <div class="news-slider__ctr">
          <div class="news-slider__arrows">
            <button class="news-slider__arrow news-slider-prev">
              <span class="icon-font">
                <svg class="icon icon-arrow-left"
                  ><use xlink:href="#icon-arrow-left"></use>
                </svg>
              </span>
            </button>
            <button class="news-slider__arrow news-slider-next">
              <span class="icon-font">
                <svg class="icon icon-arrow-right"
                  ><use xlink:href="#icon-arrow-right"></use>
                </svg>
              </span>
            </button>
          </div>

          <div class="news-slider__pagination"></div>
        </div>
      </div>
    </div>

    <svg hidden="hidden">
      <defs>
        <symbol id="icon-arrow-left" viewBox="0 0 32 32">
          <title>arrow-left</title>
          <path
            d="M0.704 17.696l9.856 9.856c0.896 0.896 2.432 0.896 3.328 0s0.896-2.432 0-3.328l-5.792-5.856h21.568c1.312 0 2.368-1.056 2.368-2.368s-1.056-2.368-2.368-2.368h-21.568l5.824-5.824c0.896-0.896 0.896-2.432 0-3.328-0.48-0.48-1.088-0.704-1.696-0.704s-1.216 0.224-1.696 0.704l-9.824 9.824c-0.448 0.448-0.704 1.056-0.704 1.696s0.224 1.248 0.704 1.696z"
          ></path>
        </symbol>
        <symbol id="icon-arrow-right" viewBox="0 0 32 32">
          <title>arrow-right</title>
          <path
            d="M31.296 14.336l-9.888-9.888c-0.896-0.896-2.432-0.896-3.328 0s-0.896 2.432 0 3.328l5.824 5.856h-21.536c-1.312 0-2.368 1.056-2.368 2.368s1.056 2.368 2.368 2.368h21.568l-5.856 5.824c-0.896 0.896-0.896 2.432 0 3.328 0.48 0.48 1.088 0.704 1.696 0.704s1.216-0.224 1.696-0.704l9.824-9.824c0.448-0.448 0.704-1.056 0.704-1.696s-0.224-1.248-0.704-1.664z"
          ></path>
        </symbol>
      </defs>
    </svg>
  </section>
</MainLayout>

<script>
  const left = document.querySelector(".split--left");
  const right = document.querySelector(".split--right");
  const container = document.querySelector(".page");

  left.addEventListener("mouseenter", () => {
    container.classList.add("lhover");
  });

  left.addEventListener("mouseleave", () => {
    container.classList.remove("lhover");
  });

  right.addEventListener("mouseenter", () => {
    container.classList.add("rhover");
  });

  right.addEventListener("mouseleave", () => {
    container.classList.remove("rhover");
  });


  var items = document.querySelectorAll(".news__item");
  var item = document.querySelector(".news__item");

  function cLog(content) {
    console.log(content);
  }

  if ($(window).width() > 800) {
    $(document).on("mouseover", ".news__item", function (_event, _element) {
      var newsItem = document.querySelectorAll(".news__item");
      newsItem.forEach(function (element, index) {
        element.addEventListener("mouseover", function () {
          var x = this.getBoundingClientRect().left;
          var y = this.getBoundingClientRect().top;
          var width = this.getBoundingClientRect().width;
          var height = this.getBoundingClientRect().height;

          $(".item-bg").addClass("active");
          $(".news__item").removeClass("active");
          // $('.news__item').removeClass('active');

        
        });

        element.addEventListener("mouseleave", function () {
          $(".item-bg").removeClass("active");
          $(".news__item").removeClass("active");
        });
      });
    });
  }

  var swiper = new Swiper(".news-slider", {
    effect: "coverflow",
    grabCursor: true,
    loop: true,
    centeredSlides: true,
    keyboard: true,
    spaceBetween: 0,
    slidesPerView: "auto",
    speed: 300,
    coverflowEffect: {
      rotate: 0,
      stretch: 0,
      depth: 0,
      modifier: 3,
      slideShadows: false,
    },
    breakpoints: {
      480: {
        spaceBetween: 0,
        centeredSlides: true,
      },
    },
    simulateTouch: true,
    navigation: {
      nextEl: ".news-slider-next",
      prevEl: ".news-slider-prev",
    },
    pagination: {
      el: ".news-slider__pagination",
      clickable: true,
    },
    on: {
      init: function () {
        var activeItem = document.querySelector(".swiper-slide-active");

        var sliderItem = activeItem.querySelector(".news__item");

        $(".swiper-slide-active .news__item").addClass("active");

        var x = sliderItem.getBoundingClientRect().left;
        var y = sliderItem.getBoundingClientRect().top;
        var width = sliderItem.getBoundingClientRect().width;
        var height = sliderItem.getBoundingClientRect().height;
      },
    },
  });

  swiper.on("touchEnd", function () {
    $(".news__item").removeClass("active");
    $(".swiper-slide-active .news__item").addClass("active");
  });

  swiper.on("slideChange", function () {
    $(".news__item").removeClass("active");
  });

  swiper.on("slideChangeTransitionEnd", function () {
    $(".news__item").removeClass("active");
    var activeItem = document.querySelector(".swiper-slide-active");

    var sliderItem = activeItem.querySelector(".news__item");

    $(".swiper-slide-active .news__item").addClass("active");

    var x = sliderItem.getBoundingClientRect().left;
    var y = sliderItem.getBoundingClientRect().top;
    var width = sliderItem.getBoundingClientRect().width;
    var height = sliderItem.getBoundingClientRect().height;
  });
</script>

